-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Charts - Point Image
DevExtreme Chart can display custom images for series points. Specify the point.image object within common series or series settings to display these images.
Backend API
<template>
<DxChart
id="chart"
:data-source="iceHockeyStatistics"
:customize-point="customizePoint"
:title="'Canadian Men’s National Ice Hockey Team\n at the World Championships'"
>
<DxCommonSeriesSettings
argument-field="year"
value-field="place"
type="spline"
>
<DxPoint :visible="false"/>
</DxCommonSeriesSettings>
<DxSeries color="#888888"/>
<DxArgumentAxis
:allow-decimals="false"
:axis-division-factor="60"
>
<DxGrid :visible="true"/>
<DxLabel>
<DxFormat type="decimal"/>
</DxLabel>
</DxArgumentAxis>
<DxValueAxis :inverted="true">
<DxGrid :visible="false"/>
<DxLabel :customize-text="customizeText"/>
</DxValueAxis>
<DxExport
:enabled="true"
:formats="exportFormats"
/>
<DxLegend :visible="false"/>
</DxChart>
</template>
<script setup lang="ts">
import {
DxChart,
DxCommonSeriesSettings,
DxSeries,
DxArgumentAxis,
DxGrid,
DxLabel,
DxFormat,
DxValueAxis,
DxExport,
DxLegend,
DxPoint,
} from 'devextreme-vue/chart';
import type { ExportFormat } from 'devextreme/common';
import { iceHockeyStatistics } from './data.ts';
const exportFormats: ExportFormat[] = ['PNG', 'PDF', 'JPEG', 'GIF', 'SVG'];
function customizePoint({ value }: { value: number }) {
if (value === 1) {
return { image: { url: '../../../../images/Charts/PointImage/icon-medal-gold.png', width: 20, height: 20 }, visible: true };
}
if (value === 2) {
return { image: { url: '../../../../images/Charts/PointImage/icon-medal-silver.png', width: 20, height: 20 }, visible: true };
}
if (value === 3) {
return { image: { url: '../../../../images/Charts/PointImage/icon-medal-bronse.png', width: 20, height: 20 }, visible: true };
}
return {};
}
function customizeText({ valueText }: { valueText: string }) {
if (valueText === '1') {
return `${valueText}st place`;
} if (valueText === '2') {
return `${valueText}nd place`;
} if (valueText === '3') {
return `${valueText}rd place`;
}
return `${valueText}th place`;
}
</script>
<style>
#chart {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const iceHockeyStatistics = [{
year: 1977,
place: 4,
}, {
year: 1978,
place: 3,
}, {
year: 1979,
place: 4,
}, {
year: 1981,
place: 4,
}, {
year: 1982,
place: 3,
}, {
year: 1983,
place: 3,
}, {
year: 1985,
place: 2,
}, {
year: 1986,
place: 3,
}, {
year: 1987,
place: 4,
}, {
year: 1989,
place: 2,
}, {
year: 1990,
place: 4,
}, {
year: 1991,
place: 2,
}, {
year: 1992,
place: 8,
}, {
year: 1993,
place: 4,
}, {
year: 1994,
place: 1,
}, {
year: 1995,
place: 3,
}, {
year: 1996,
place: 2,
}, {
year: 1997,
place: 1,
}, {
year: 1998,
place: 6,
}, {
year: 1999,
place: 4,
}, {
year: 2000,
place: 4,
}, {
year: 2001,
place: 5,
}, {
year: 2002,
place: 6,
}, {
year: 2003,
place: 1,
}, {
year: 2004,
place: 1,
}, {
year: 2005,
place: 2,
}, {
year: 2006,
place: 4,
}, {
year: 2007,
place: 1,
}, {
year: 2008,
place: 2,
}, {
year: 2009,
place: 2,
}, {
year: 2010,
place: 7,
}, {
year: 2011,
place: 5,
}, {
year: 2012,
place: 5,
}, {
year: 2013,
place: 5,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
This demo hides default point symbols and calls the customizePoint function to display images (based on point values).

DevExtreme v26.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

React Charts - Point Image

DevExtreme Chart can display custom images for series points. Specify the point.image object within common series or series settings to display these images.

Backend API
import React from 'react'; import { Chart, CommonSeriesSettings, Series, ArgumentAxis, Grid, Label, Format, ValueAxis, Export, Legend, Point, } from 'devextreme-react/chart'; import type { IExportProps } from 'devextreme-react/chart'; import { iceHockeyStatistics } from './data.ts'; const exportFormats: IExportProps['formats'] = ['PNG', 'PDF', 'JPEG', 'GIF', 'SVG']; function customizePoint(e: { value: number; }): Record<string, unknown> { if (e.value === 1) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-gold.png', width: 20, height: 20 }, visible: true }; } if (e.value === 2) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-silver.png', width: 20, height: 20 }, visible: true }; } if (e.value === 3) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-bronse.png', width: 20, height: 20 }, visible: true }; } return {}; } function customizeText(e: { valueText: string; }): string { if (e.valueText === '1') { return `${e.valueText}st place`; } if (e.valueText === '2') { return `${e.valueText}nd place`; } if (e.valueText === '3') { return `${e.valueText}rd place`; } return `${e.valueText}th place`; } function App() { return ( <Chart id="chart" dataSource={iceHockeyStatistics} title={'Canadian Men’s National Ice Hockey Team\n at the World Championships'} customizePoint={customizePoint} > <CommonSeriesSettings argumentField="year" valueField="place" type="spline" > <Point visible={false} /> </CommonSeriesSettings> <Series color="#888888" /> <ArgumentAxis allowDecimals={false} axisDivisionFactor={60} > <Grid visible={true} /> <Label> <Format type="decimal" /> </Label> </ArgumentAxis> <ValueAxis inverted={true}> <Grid visible={false} /> <Label customizeText={customizeText} /> </ValueAxis> <Export enabled={true} formats={exportFormats} /> <Legend visible={false} /> </Chart> ); } export default App;
import React from 'react'; import { Chart, CommonSeriesSettings, Series, ArgumentAxis, Grid, Label, Format, ValueAxis, Export, Legend, Point, } from 'devextreme-react/chart'; import { iceHockeyStatistics } from './data.js'; const exportFormats = ['PNG', 'PDF', 'JPEG', 'GIF', 'SVG']; function customizePoint(e) { if (e.value === 1) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-gold.png', width: 20, height: 20, }, visible: true, }; } if (e.value === 2) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-silver.png', width: 20, height: 20, }, visible: true, }; } if (e.value === 3) { return { image: { url: '../../../../images/Charts/PointImage/icon-medal-bronse.png', width: 20, height: 20, }, visible: true, }; } return {}; } function customizeText(e) { if (e.valueText === '1') { return `${e.valueText}st place`; } if (e.valueText === '2') { return `${e.valueText}nd place`; } if (e.valueText === '3') { return `${e.valueText}rd place`; } return `${e.valueText}th place`; } function App() { return ( <Chart id="chart" dataSource={iceHockeyStatistics} title={'Canadian Men’s National Ice Hockey Team\n at the World Championships'} customizePoint={customizePoint} > <CommonSeriesSettings argumentField="year" valueField="place" type="spline" > <Point visible={false} /> </CommonSeriesSettings> <Series color="#888888" /> <ArgumentAxis allowDecimals={false} axisDivisionFactor={60} > <Grid visible={true} /> <Label> <Format type="decimal" /> </Label> </ArgumentAxis> <ValueAxis inverted={true}> <Grid visible={false} /> <Label customizeText={customizeText} /> </ValueAxis> <Export enabled={true} formats={exportFormats} /> <Legend visible={false} /> </Chart> ); } export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.tsx'; ReactDOM.render( <App />, document.getElementById('app'), );
export const iceHockeyStatistics = [{ year: 1977, place: 4, }, { year: 1978, place: 3, }, { year: 1979, place: 4, }, { year: 1981, place: 4, }, { year: 1982, place: 3, }, { year: 1983, place: 3, }, { year: 1985, place: 2, }, { year: 1986, place: 3, }, { year: 1987, place: 4, }, { year: 1989, place: 2, }, { year: 1990, place: 4, }, { year: 1991, place: 2, }, { year: 1992, place: 8, }, { year: 1993, place: 4, }, { year: 1994, place: 1, }, { year: 1995, place: 3, }, { year: 1996, place: 2, }, { year: 1997, place: 1, }, { year: 1998, place: 6, }, { year: 1999, place: 4, }, { year: 2000, place: 4, }, { year: 2001, place: 5, }, { year: 2002, place: 6, }, { year: 2003, place: 1, }, { year: 2004, place: 1, }, { year: 2005, place: 2, }, { year: 2006, place: 4, }, { year: 2007, place: 1, }, { year: 2008, place: 2, }, { year: 2009, place: 2, }, { year: 2010, place: 7, }, { year: 2011, place: 5, }, { year: 2012, place: 5, }, { year: 2013, place: 5, }];
window.exports = window.exports || {}; window.config = { transpiler: false, meta: { '*.ts': { loader: 'demo-ts-loader', }, '*.tsx': { loader: 'demo-ts-loader', typescriptOptions: { jsx: 'react', }, }, 'typescript': { 'exports': 'ts', }, 'anti-forgery': { loader: 'demo-ts-loader', }, 'react': { 'esModule': true, }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, 'openai': { 'esModule': true, }, 'zod': { 'esModule': true, }, 'zod-to-json-schema': { 'esModule': true, }, }, paths: { 'npm:': 'https://cdn.jsdelivr.net/npm/', 'bundles:': '../../../../bundles/', 'externals:': '../../../../bundles/externals/', 'anti-forgery:': '../../../../shared/anti-forgery/', 'loaders:': '../../../../shared/loaders/', }, defaultExtension: 'js', map: { 'anti-forgery': 'anti-forgery:fetch-override.js', 'demo-ts-loader': 'loaders:demo-ts-loader.js', 'demo-ts-shared': 'loaders:demo-ts-shared.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign', 'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs', 'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs', 'zod': 'externals:zod.bundle.js', 'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js', 'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js', 'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', '@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js', 'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3', // Prettier 'prettier/standalone': 'npm:prettier@2.8.8/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme-react/common': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/common/core/events/utils': { main: 'index', }, 'devextreme/localization/messages': { format: 'json', defaultExtension: 'json', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', ], }; window.process = { env: { NODE_ENV: 'production', }, }; System.config(window.config); // eslint-disable-next-line const useTgzInCSB = ['openai']; let packagesInfo = { "zod": { "version": "3.24.4" }, "zod-to-json-schema": { "version": "3.24.6" } };
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render(<App />, document.getElementById('app'));
export const iceHockeyStatistics = [ { year: 1977, place: 4, }, { year: 1978, place: 3, }, { year: 1979, place: 4, }, { year: 1981, place: 4, }, { year: 1982, place: 3, }, { year: 1983, place: 3, }, { year: 1985, place: 2, }, { year: 1986, place: 3, }, { year: 1987, place: 4, }, { year: 1989, place: 2, }, { year: 1990, place: 4, }, { year: 1991, place: 2, }, { year: 1992, place: 8, }, { year: 1993, place: 4, }, { year: 1994, place: 1, }, { year: 1995, place: 3, }, { year: 1996, place: 2, }, { year: 1997, place: 1, }, { year: 1998, place: 6, }, { year: 1999, place: 4, }, { year: 2000, place: 4, }, { year: 2001, place: 5, }, { year: 2002, place: 6, }, { year: 2003, place: 1, }, { year: 2004, place: 1, }, { year: 2005, place: 2, }, { year: 2006, place: 4, }, { year: 2007, place: 1, }, { year: 2008, place: 2, }, { year: 2009, place: 2, }, { year: 2010, place: 7, }, { year: 2011, place: 5, }, { year: 2012, place: 5, }, { year: 2013, place: 5, }, ];
<!DOCTYPE html> <html lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script> <script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.tsx"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
#chart { height: 440px; }

This demo hides default point symbols and calls the customizePoint function to display images (based on point values).

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<dx-chart
id="chart"
[dataSource]="iceHockeyStatistics"
[title]="title"
[customizePoint]="customizePoint"
>
<dxi-series color="#888888"></dxi-series>
<dxo-common-series-settings
argumentField="year"
valueField="place"
type="spline"
>
<dxo-point [visible]="false"></dxo-point>
</dxo-common-series-settings>
<dxo-argument-axis [allowDecimals]="false" [axisDivisionFactor]="60">
<dxo-grid [visible]="true"></dxo-grid>
<dxo-label>
<dxo-format type="decimal"></dxo-format>
</dxo-label>
</dxo-argument-axis>
<dxi-value-axis [inverted]="true">
<dxo-grid [visible]="false"></dxo-grid>
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxi-value-axis>
<dxo-legend [visible]="false"></dxo-legend>
<dxo-export [enabled]="true" [formats]="['PNG', 'PDF', 'JPEG', 'GIF', 'SVG']">
</dxo-export>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxChartTypes } from 'devextreme-angular/ui/chart';
import { Service, IceHockeyStatistics } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
})
export class AppComponent {
title = 'Canadian Men’s National Ice Hockey Team\n at the World Championships';
iceHockeyStatistics: IceHockeyStatistics[];
constructor(service: Service) {
this.iceHockeyStatistics = service.getIceHockeyStatistics();
}
customizePoint: DxChartTypes.Properties['customizePoint'] = ({ value }) => {
const color = {
1: 'gold',
2: 'silver',
3: 'bronse',
}[value];
if (color) {
return { image: { url: `../../../../images/Charts/PointImage/icon-medal-${color}.png`, width: 20, height: 20 }, visible: true };
}
};
customizeText: DxChartTypes.ValueAxisLabel['customizeText'] = ({ valueText }) => ({
1: `${valueText}st place`,
2: `${valueText}nd place`,
3: `${valueText}rd place`,
}[valueText] || `${valueText}th place`);
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class IceHockeyStatistics {
year: number;
place: number;
}
const iceHockeyStatistics : IceHockeyStatistics[] = [{
year: 1977,
place: 4,
}, {
year: 1978,
place: 3,
}, {
year: 1979,
place: 4,
}, {
year: 1981,
place: 4,
}, {
year: 1982,
place: 3,
}, {
year: 1983,
place: 3,
}, {
year: 1985,
place: 2,
}, {
year: 1986,
place: 3,
}, {
year: 1987,
place: 4,
}, {
year: 1989,
place: 2,
}, {
year: 1990,
place: 4,
}, {
year: 1991,
place: 2,
}, {
year: 1992,
place: 8,
}, {
year: 1993,
place: 4,
}, {
year: 1994,
place: 1,
}, {
year: 1995,
place: 3,
}, {
year: 1996,
place: 2,
}, {
year: 1997,
place: 1,
}, {
year: 1998,
place: 6,
}, {
year: 1999,
place: 4,
}, {
year: 2000,
place: 4,
}, {
year: 2001,
place: 5,
}, {
year: 2002,
place: 6,
}, {
year: 2003,
place: 1,
}, {
year: 2004,
place: 1,
}, {
year: 2005,
place: 2,
}, {
year: 2006,
place: 4,
}, {
year: 2007,
place: 1,
}, {
year: 2008,
place: 2,
}, {
year: 2009,
place: 2,
}, {
year: 2010,
place: 7,
}, {
year: 2011,
place: 5,
}, {
year: 2012,
place: 5,
}, {
year: 2013,
place: 5,
}];
@Injectable()
export class Service {
getIceHockeyStatistics(): IceHockeyStatistics[] {
return iceHockeyStatistics;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@24.2.7/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'devextreme/bundles/dx.all': 'npm:devextreme@24.2.7/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.16',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.16/package.json',
'npm:devexpress-gantt@4.1.60/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>